Package org.eclipse.mat.snapshot.query

## Class HistogramResult

- java.lang.Object
- - org.eclipse.mat.snapshot.query.HistogramResult

All Implemented Interfaces:
  `IResult`

    @Deprecated
    public final class HistogramResult
    extends Object
    implements IResult

Deprecated.
Use `Histogram` instead.
Wrapper to return a `Histogram` as a query result.

### Constructor Summary

Constructors
`HistogramResult​(Histogram histogram)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`IResultTable` `asTable()` Deprecated.
`Histogram` `getHistogram()` Deprecated.
`ResultMetaData` `getResultMetaData()` Deprecated. (Optionally) Return meta data of the result needed to fine-tune the display of the result.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HistogramResult

    public HistogramResult​(Histogram histogram)

Deprecated.

### Method Detail

#### getResultMetaData

    public ResultMetaData getResultMetaData()

Deprecated.
Description copied from interface: `IResult`
(Optionally) Return meta data of the result needed to fine-tune the display of the result. This could include an additional context, an additional query to run on selected data from the result , additional calculated columns, or an indication that the results are already presorted.

Specified by:
  `getResultMetaData` in interface `IResult`
Returns:
  the metadata for the result, used to obtain extra data

#### getHistogram

    public Histogram getHistogram()

Deprecated.

#### asTable

    public IResultTable asTable()

Deprecated.